View Issue Details

IDProjectCategoryView StatusLast Update
0000329FreeCADFeaturepublic2011-09-16 22:48
Reporterwmayer Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.12 
Summary0000329: OpenCollada interface
DescriptionMove from https://sourceforge.net/tracker/?func=detail&aid=2930915&group_id=49159&atid=455301

surbanus said:
Regarding the ROBOTICS module in FreeCAD, It would be very interesting to implement the OpenCollada interface.
 OpenCollada becomes more and more interesting because of the AutomationML initiative for the dataexchange of automation information.

 Regards, SU

jriegel said:
Mhh,
 yet another exchange formate.......
TagsNo tags attached.
FreeCAD Information

Activities

Jriegel

2011-05-17 08:09

administrator   ~0000828

Interesting but a lot of work. If someone have time, be welcome.

Jriegel

2011-05-17 09:59

administrator   ~0000831

Interesting but a lot of work. If someone have time, be welcome.

Jriegel

2011-05-23 12:35

administrator   ~0000860

I've looked deeper into collada. Pretty interesting but far from our data model.
Look here:

http://www.khronos.org/files/collada_reference_card_1_4.pdf

It comes down to import/export meshes. There is no data structure in collada which can handle BRep data. Lots of stuff about animation, kinematic, material and textures. Nothing we do so far in FreeCAD (besides may be Robot).

So I can see it in the Mesh module....

unauthenticated

2011-05-24 17:54

viewer   ~0000861

Collada 1.5 released in 2008 has Brep.

http://www.khronos.org/collada/

You may want to look at the opencascade community edition for FreeCAD further developments.
 
https://github.com/tpaviot/oce/#readme
http://groups.google.com/group/oce-dev
http://opencascade.wikidot.com/
 
The OpenCascade STEP translator is very old, and could use updating.

Jriegel

2011-05-25 03:36

administrator   ~0000862

Ah,
interesting.

Yorik did some experiments with pycollada in the arch module. But also
mesh only. I'm not sure if BRep will take of in that CGI and game development
world.

With OCE I'm already in touch. I will use it most likely soon for the Windows
port. On the other platforms (especially debian based ones) we will talk
to the package maintainer if there is a switch to OCE possible. It took
a long time then to get OpenCasCADE into debian stable....

yorik

2011-05-27 13:14

administrator   ~0000864

To my knowledge collada .dae format is mainly (only?) used in the game industry and to/from sketchup and google 3d warehouse, which also only work with meshes.

The .dae import in the arch module works pretty well already and is able to import a wide range of files now, (from blender, sketchup, etc). I still need to enable export (supported in pycollada too). I'll take this RFE for me, then when it's done we can see what we do with it, if someone is interested in exploring the brep part further...

yorik

2011-09-16 22:48

administrator   ~0001097

This is now done in r4931. pycollada must be installed on the system, then collada (.dae) import and export becomes automatically available.

When importing meshes are created, and when exporting, only meshes are taken into account (convert your shapes first).

So far the imported/exported files I tested all open perfectly on both freecad and blender, but give some crashes on sketchup but i'm running it on wine and it crashes often for all kinds of reasons.

I suppose this is as far as it'll go for now (for release 12), feel free to reopen if issues arise.

Issue History

Date Modified Username Field Change
2011-04-14 05:46 wmayer New Issue
2011-04-14 05:46 wmayer Status new => assigned
2011-04-14 05:46 wmayer Assigned To => Jriegel
2011-05-17 08:08 Jriegel Assigned To Jriegel =>
2011-05-17 08:09 Jriegel Note Added: 0000828
2011-05-17 09:59 Jriegel Note Added: 0000831
2011-05-17 09:59 Jriegel Status assigned => confirmed
2011-05-23 12:35 Jriegel Note Added: 0000860
2011-05-23 12:46 Jriegel Status confirmed => acknowledged
2011-05-24 17:54 unauthenticated Note Added: 0000861
2011-05-25 03:36 Jriegel Note Added: 0000862
2011-05-27 13:14 yorik Note Added: 0000864
2011-05-27 13:14 yorik Status acknowledged => assigned
2011-05-27 13:14 yorik Assigned To => yorik
2011-09-16 22:48 yorik Note Added: 0001097
2011-09-16 22:48 yorik Status assigned => closed
2011-09-16 22:48 yorik Resolution open => fixed
2011-09-16 22:48 yorik Fixed in Version => 0.12